[X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu 19.10 & 20.04 (see comment 93 and 176)

Bug #1852183 reported by Adam Dingle on 2019-11-12
474
This bug affects 94 people
Affects Status Importance Assigned to Milestone
LibreOffice
Won't Fix
Medium
Mutter
Unknown
Unknown
focal (Ubuntu)
High
Unassigned
Focal
High
Unassigned
Groovy
High
Unassigned

Bug Description

[ Impact ]

I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10.

In this environment, copy/cut/paste often fails. Specifically, the paste command sometimes does not paste the text that was cut/copied most recently. Instead, it pastes text that was cut/copied at some prior time.

[ Test case ]

1. Use use libreoffice writer/calc
2. Copy text around
3. Paste it and ensure it always work

[ Regression potential ]

Copy/paste won't work as expected, for non-text types

-----

I use LibreOffice Writer a lot, and I now see this problem very often, i.e. many times every day.

There is some discussion of the problem here:

   https://ask.libreoffice.org/en/question/213510/copypaste-issues-libreoffice-calc/

Several posters there say that they are also using Ubuntu 19.10.

Ubuntu 19.10 includes Mutter 3.34, which has a new clipboard manager:

   https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34-Clipboard-Manager

It seems like that could be related.

Adam Dingle (adam-yorba) wrote :

I now believe this problem is not specific to LibreOffice. I see it there often since I use LibreOffice Writer a lot, but it just happened again when I cut some text in Geany (a text editor) and attempted to paste it into the email program Geary. So I think this is a general clipboard problem in Ubuntu 19.10.

Given that, I will change the bug's title to remove the word "LibreOffice", and remove it from the libreoffice project.

summary: - copy/paste (clipboard) is broken in LibreOffice on Ubuntu 19.10
+ copy/paste (clipboard) is broken in Ubuntu 19.10
no longer affects: libreoffice (Ubuntu)

Agreed, this does seem to be somewhat Ubuntu (and indeed perhaps Mutter) related, and not specific to LibreOffice.

I tried the exact same version of LibreOffice (libreoffice-6.3.3.2-snap1) on Debian Buster and Ubuntu 19.10, and found that while reproducible on Ubuntu, it is not on Debian (see attached screencasts).

Ubuntu Mutter Version: 3.34.1-1ubuntu1
Debian Mutter Version: 3.34.1+git20191107-1

Whoops, I was testing Ubuntu on X11 and Debian on Wayland. I switch to X11 on Debian and this is indeed reproducible there (see attached).

I will report this upstream.

Changed in mutter (Ubuntu):
status: New → Triaged
summary: - copy/paste (clipboard) is broken in Ubuntu 19.10
+ [X11] copy/paste (clipboard) is broken in Ubuntu 19.10

I can only reproduce this bug in LibreOffice Calc (spreadsheet). I cannot reproduce it in Writer or Geary.

But it is a consistent problem for me in Calc.

Here are the symptoms/process:
1. First new copy invariably fails to copy text, instead copies/stores a bitmap image.
2. If I "cut" instead of "copy" then I have to use the "undo" function to restore the text so I can attempt again.
3. Undoing my paste/cut operations consistently causes LibreOffice to crash.
4. Second attempt at cut/copy invariably succeeds.

I will try to grab a crash report as it seems specifically related to this bug.

I noticed this immediately upon upgrading from 19.04 to 19.10, all with latest stock kernel/software/updates. IE, using the standard versions in the repositories.

The behavior from this bug has the potential to cause data loss: When LibreOffice crashes before "undo" can restore the cut text, whatever chunk of data that was intended to be cut gets completely discarded and does not get recovered with the rest of the document, probably because it was stored in a buffer somewhere separate from the actual document data itself.

So all in all this bug converts text into image and then deletes the data altogether.

ethanay (ethan-y-us) wrote :

Attached backtrace of LibreOffice after crash as described in previous message

Changed in mutter:
status: Unknown → New
tags: added: rls-ee-incoming rls-ff-incoming

@adam-yorba, when you said you reproduced this copying from Geany into Geary what did you mean? That an image was pasted instead of text? Or that nothing was pasted?

Adam Dingle (adam-yorba) wrote :

@marcustomlinson, when copying/pasting from Geany into Geary, I didn't get an image. I believe I got the wrong text. But unfortunately I don't remember precisely.

I have seen this bug zillions of times in LibreOffice Writer, typically when copying in one window and pasting in another, and only a few times in other apps.

Thanks for your research determining that this is related to X11. That gives us a possible workaround: log into a Wayland session instead.

1 comments hidden view all 191 comments

Description:
Lately on Linux (under an X11 session particularly), it would appear that text copied from a cell in Calc is sometimes stored in the clipboard as a bitmap.

Steps to Reproduce:
1. Open Calc.
2. Type "hello" into a cell.
3. Select the cell.
4. Press Ctrl+C / Ctrl+V over and over.

Actual Results:
Eventually, instead of text, an image containing "hello" will be pasted.

Expected Results:
The text should be copied and pasted as text always.

Reproducible: Always

User Profile Reset: No

Additional Info:

Changed in libreoffice (Ubuntu):
status: New → Triaged

@adam-yorba, thanks Adam, yeah it would seem there may be fault on both ends here (mutter and libreoffice). I'm going to re-add LibreOffice and report this upstream.

1 comments hidden view all 191 comments

It's useful to know that a recent update to mutter is at least partly to blame for this, as I cannot reproduce the issue on versions older than 3.34.

Mutter 3.34 introduced a new clipboard manager: https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34-Clipboard-Manager

However, LibreOffice does seem to be doing something strange in its type requests from the clipboard (stand by for a comment from a colleague with more mutter knowledge), so I suspect there may be fault on both ends here.

Changed in df-libreoffice:
importance: Unknown → Medium
status: Unknown → New
Changed in libreoffice (Ubuntu):
importance: Undecided → High
Changed in mutter (Ubuntu):
importance: Undecided → High
1 comments hidden view all 191 comments

Can confirm this suspected 'mutter' bad effect on calc 6.3.3 and mutter 3.34.1:

-happen with a calc spreadsheet when trying to copy/paste a formula cell:
 1) from a column's cell, right click to copy it
 2) select the first same column's cell to paste: get a graphic created (kind of image with 4 cells which are draggable and extendable) instead of the normal pasting result.
 3) deleting that graphic objet, then re-copying the original cell, finally the pasting is done as expected.

This has been seen for each copy/paste since calc 6.3.3 upgrade, not prior.

Also note that now LO is unable to load/open an ods file : after the Nov 11th upgrades; Does not get error from a terminal.
Only get a dialog box telling calc has silently crashed and will then try to recover the ods file: but there is no file listed to recover.
Indeed that ods file load/open as usual with version prior to Focal.

Note that when copy/paste is failing, some more icons are automatically added into the top taskbar, and then are removed when the graphic objet is deleted

1 comments hidden view all 191 comments

This also happens in other office and text applications (geany, under ms office 2010 with wine, etc.) and other systems such as manjaro linux with gnome-shell 1:3.34.1+12+ga43c22e3a-1 and mutter 3.34.1+52+g403d8fcc-1 under Xorg.
Wouldn't it be a mutter bug linked to implementation of the new clipboard?

Changed in df-libreoffice:
status: New → Confirmed
tags: removed: rls-ee-incoming rls-ff-incoming
Changed in libreoffice (Ubuntu Eoan):
importance: Undecided → High
Changed in mutter (Ubuntu Eoan):
importance: Undecided → High
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in libreoffice (Ubuntu Eoan):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in mutter (Ubuntu Eoan):
status: New → Triaged
Changed in libreoffice (Ubuntu Eoan):
status: New → Triaged
2 comments hidden view all 191 comments

I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10 and Fedora 31

In these environments, copy/cut/paste often fails. Specifically, the paste command sometimes does not paste the text that was cut/copied most recently. Instead, it pastes text that was cut/copied at some prior time.

Thomas M Steenholdt (tmus) wrote :

On a fully updated Ubuntu 19.10, I feel most of my problems occur, when copying from a Wayland application, and pasting to an XWindow application. Most of the time, that doesn't work at all.

As an example. Running my Firefox as a native Wayland application, I am experiencing problems copying a URL and pasting it into Chrome.

Tamas Kleiber (kleiber-tamas) wrote :

After upgrading to Ubuntu 19.10 from 19.04 I face similar issues with the clipboard. I experience these issues the most in Notepad-plus-plus which is installed via snap from stable branch. Under both Xorg and Wayland desktop servers the clipboard does not work between Notepad-plus-plus and other text editing applications reliably while switching to Gnome flashback (metacity) does not have these issues.
 In my case not only clipboard issues are present, but the favorites side bar and related windows also show graphical glitches on mouse hover over.

mutter (wayland?) version is 3.34.1
Xorg version is 7.7 if i am not mistaken
gnome-flashback/panel are 3.34.0
metacity is 3.34.1

I experience this on Ubuntu 19.10 using Wayland. To me it seems that the copy operation fails, because I use the Gnome extension Clipboard Indicator, and often the copied text is not present.

Copy and pasting screen shot does not work any more.

I started experiencing this approximately 2 weeks ago. Before that, I have have successfully run Ubuntu 19.10 without copy-paste issues.

Jeppe Bundsgaard (jeppe) wrote :

I experience this problem in all kinds of editors (LibreOffice, RStudio, Evolution, Kate), and also sometimes when creating screen dumps to the clipboard (ctrl+shift+print screen). I also thought it was connected to Clipboard Indicator, but it didn't help de-activating it.

But, hopefully good news ahead: The bug should be fixed in gtk3 3.24.13 and mutter 3.34.2 according https://gitlab.gnome.org/GNOME/mutter/issues/878#note_642048.

So now we just have to wait for Ubuntu to get to these versions. Anyway we could get this first in line of updates? - it is extremely annoying.

I experience this problem only with WPS office under Ubuntu 19.10. I usually need to copy text twice in order to send it to clipboard. Because copy option is actually broken, it happens that the previous text is pasted (not the one I copied). However, other programs work just fine most of the time.

Owen Williams (ywwg) wrote :

I have very inconsistent copy/paste under Wayland. Usually switching windows and trying again fixes it, but I'd give the success rate of a copy command working at 75%.

Owen Williams (ywwg) wrote :

This upstream bug looks like the same issue: https://gitlab.gnome.org/GNOME/mutter/issues/878

Adam Dingle (adam-yorba) wrote :

I think that the upstream bug

    https://gitlab.gnome.org/GNOME/mutter/issues/878

may not be the same issue.

This bug has "X11" in the title, and so it really refers to behavior under X11. On Ubuntu 19.10, if I run an X11 session then copying/pasting fails very often, especially in LibreOffice. For this reason I switched to Wayland several weeks ago. Under Wayland, copying/pasting still fails occasionally, but far less often. I saw copy/paste failures dozens of times per day under X11, and now they happen maybe once or twice per day in Wayland (with intensive use of LibreOffice in both cases).

In a comment in the mutter bug linked above, Carlos Garnacho wrote

    This is wayland specific.

So it is unclear to me that the patches linked there (which are to both GTK and mutter) will fix the problem in X11. Has anyone tried to reproduce this copy/paste problem after applying these patches under X11?

Daniel van Vugt (vanvugt) wrote :

The upstream bug for X11 here is https://gitlab.gnome.org/GNOME/mutter/issues/919

1 comments hidden view all 191 comments

*** Bug 129319 has been marked as a duplicate of this bug. ***

I have the same problem with Wine applications. Ubuntu 19.10, both X11 and Wayland sessions. Copy/paste works very inconsistent.

1 comments hidden view all 191 comments

Often cannot copy and paste between Notepad++ and Firefox or even Terminal. If I open GEdit, I can paste there, then copy again which seems to be a workaround though not a very good one.

Don Pierson (pchome) wrote :

To add to my earlier comment, it also happens when copying between Ubuntu applications. In this case, a rather poor workaround is to copy twice or even three times which usually will eventually grab the text being copied.

*** Bug 129626 has been marked as a duplicate of this bug. ***

I can't do screen capture - sometimes when i roll over a field in Chrome its like there is a list there of clipboard items. I have to copy 2 times to get text but other types of clipboard like captured images aren't working.
I'd fix this if I was up to speed with developing on this platform because it's driving me nuts.

1 comments hidden view all 191 comments

Note that a selection's content is not stored in the clipboard (unless LibreOffice is exited) but upon pasting the target asks for the available formats and picks the best offered, that in this case should be the internal Calc format, which then would be transferred from source to target, but somehow here instead it gets a bitmap/image from the clipboard "manager" (apparently).

(In reply to Marcus Tomlinson from comment #1)
> However, LibreOffice does seem to be doing something strange in its type
> requests from the clipboard (stand by for a comment from a colleague with
> more mutter knowledge), so I suspect there may be fault on both ends here.
So what would that "doing something strange" be?

Reportedly, if the Clipboard Indicator GNOME Shell Extension was installed, removing that cured the symptom.

2 comments hidden view all 191 comments
Willem Pieterson (wpieterson) wrote :

Can also confirm being affected by this bug. Strangely it randomly happens in LibreOffice for me, but constantly in WPS Office. When I copy something it either pasts nothing (suggesting nothing was copied) or pasts as a bitmap. Sometimes this bitmap shows all content that was copied, sometimes a random bit. When it pasts a bitmap, re-copying everything and then pasting does always work.

3 comments hidden view all 191 comments

I'm experiencing the same bug since 2 weeks. Using Ubuntu 19.10, Libreoffice Calc 6.3.4.2 Build ID: 1:6.3.4-0ubuntu0.19.10.1.

Please help!

tags: added: eoan

I do not have any GNOME shell extension, and extensions are disable in "Tweaks", but problem with copy paste/paste exits.

I can also confirm that double-copy works in some cases.

Taha Soomro (suryaya) wrote :

This happens to me in not just libreoffice but also other applications like firefox as well.

This bug is marked All and reproduced also on Windows.

Please note, I filed this but with a complaint about my system shutting down, and also not auto-saving.
https://bugs.documentfoundation.org/show_bug.cgi?id=65509

As noted in that discussion, yesterday when I got the .bmp, LibreOffice shut down quickly thereafter. It may be that the bug causing the .bmp is also crashing the system.

Don't know where/if the auto-save fits in.

Now that this bug is confirmed what next? Its is really annoying and making me consider other desktop environments other than GNOME.

The bug seems fixed, at least in Libreoffice.

Changed in mutter:
status: New → Fix Released
tags: added: focal
tags: added: fixed-in-3.35.90 fixed-upstream
Changed in libreoffice (Ubuntu Eoan):
assignee: Marcus Tomlinson (marcustomlinson) → Heather Ellsworth (hellsworth)
Changed in libreoffice (Ubuntu Focal):
assignee: nobody → Heather Ellsworth (hellsworth)
Changed in mutter (Ubuntu Focal):
status: Triaged → Fix Released
AJenbo (ajenbo) on 2020-03-25
summary: - [X11] copy/paste (clipboard) is broken in Ubuntu 19.10
+ [X11] copy/paste (clipboard) is broken in Ubuntu 19.10 & 20.04
AJenbo (ajenbo) on 2020-03-25
tags: removed: fixed-in-3.35.90 fixed-upstream
Changed in codelite (Ubuntu Eoan):
status: New → Confirmed
Changed in codelite (Ubuntu):
status: New → Confirmed
Changed in codeblocks (Ubuntu Eoan):
status: New → Confirmed
Changed in codeblocks (Ubuntu):
status: New → Confirmed
Changed in mutter (Ubuntu Focal):
status: Fix Released → Fix Committed
no longer affects: libreoffice (Ubuntu)
no longer affects: libreoffice (Ubuntu Eoan)
no longer affects: libreoffice (Ubuntu Focal)
no longer affects: codelite (Ubuntu)
no longer affects: codelite (Ubuntu Eoan)
no longer affects: codelite (Ubuntu Focal)
no longer affects: codeblocks (Ubuntu)
no longer affects: codeblocks (Ubuntu Eoan)
no longer affects: codeblocks (Ubuntu Focal)
Changed in mutter:
status: Fix Released → Unknown
tags: added: fixed-in-3.36.2 fixed-upstream
Changed in df-libreoffice:
status: Confirmed → Won't Fix
Davide (tarski10) on 2020-05-06
summary: - [X11] copy/paste (clipboard) is broken in Ubuntu 19.10 & 20.04
+ [X11] copy/paste (clipboard) is broken in Ubuntu 19.10 & 20.04 (see
+ comment 93)
Davide (tarski10) on 2020-05-06
tags: added: fixed-in-3.34.6
Changed in mutter (Ubuntu Groovy):
status: Fix Committed → Fix Released
description: updated
tags: added: verification-needed verification-needed-focal
Davide (tarski10) on 2020-05-14
tags: added: verification-failed-focal
removed: verification-needed-focal
Davide (tarski10) on 2020-05-15
tags: added: verification-needed-focal
removed: verification-failed-focal
tags: added: verification-done-focal
removed: verification-needed-focal
summary: - [X11] copy/paste (clipboard) is broken in Ubuntu 19.10 & 20.04 (see
- comment 93)
+ [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu 19.10
+ & 20.04 (see comment 93)
112 comments hidden view all 191 comments

*** Bug 130012 has been marked as a duplicate of this bug. ***

On Ubuntu 20.04, I had the issue of copy-paste working every other time, specifically on LibreOffice apps (Writer, Calc and Draw), not in any other apps (Gedit, Firefox, Thunderbird, etc.) or in the GNOME Shell.

However, disabling the Clipboard Indicator extension fixed this for me.

1 comments hidden view all 191 comments

All reports suggest that the bug occurs under Linux+GNOME, yet all other Linux+GNOME applications do mouse copy/pastes OK.

Occurs in LO 7.0.0-Alpha too Linux+GNOME

Remember you can select 'Ubuntu on Wayland' on the login screen and that will avoid this bug. At least those people not using Nvidia can...

Dusty (dustyt) wrote :

I am sorry. I tend to agree with others. A lot of us are endearing folks. And when I say us I mean people already exposed and using a distro. Only a portion of us though, so the rest will get fed up.

99% of new users will encounter this and just can the distro guys. The majority would not even fool with it long enough to realize there's the non-productive work around of pressing ctrl+c twice every time. Most will just see it fails at something really basic and wonder what else it fails at that they don't see yet, or just get frustrated and move on.

A basic function like this being broke should be a huge priority. But from what I am reading here it has carried on into the next LTS version without a fix as well...

Daniel, I don't see an option to select Ubuntu on Wayland on the login screen? I will have to figure that out. I haven't moved to 20.04 yet. Since the bug was still present I didn't get motivated to.

Daniel van Vugt (vanvugt) wrote :

Setting Invalid for Ubuntu 19.10, since the problem right now is in mutter 3.36 and that's not in Ubuntu 19.10. But also 19.10 is just over a month away from reaching end-of-life so I wouldn't bother with that release even if it was affected.

Changed in mutter (Ubuntu Eoan):
status: Triaged → Invalid
no longer affects: mutter (Ubuntu Eoan)

I used 'developer options' to install all the proposed updates last night. I could not find a way to just update the 4 mutter files - it insisted on updating many files including the kernel.

So far, so good. I've done 30 or so cut/copy and paste with no errors so far.

I wouldn't know how to back out of all these updates, so I'm just crossing my fingers. If someone could explain for others how to install only the 4 updates that would help people using more critical systems than mine.

I hope this fix (even if only partial as suggested above) makes it into focal ASAP.

Adam Dingle (adam-yorba) wrote :

Tim and others: It is certainly possible to install just this upgraded mutter package without installing all the other pending updates in proposed. See the page

   https://wiki.ubuntu.com/Testing/EnableProposed

Follow the instructions in the section "Selective upgrading from -proposed". That's what I did, since I didn't want to risk destabilizing my system by installing anything I didn't have to.

*** Bug 133140 has been marked as a duplicate of this bug. ***

"Workaround: login to a Wayland session instead of X11 (or maybe X-Wayland?) session."

Wayland is not suppoeted by Ubuntu 20.04 LTS. Probably neither in eny Debian based Linux.

In reply to Eike Rathke, Comment 29
Thank you for looking at this issue and for your feedback. I appreciate the work you do and respect your thoughts and opinions.

Just for info, I've never used the 'clipboard indicator extension', so disabling it wasn't an option for me.

Adam Dingle (adam-yorba) wrote :

A brief update: I am still running with the proposed mutter package on Ubuntu 20.04, and hae seen this copy/paste problem occur several more times in the last few days. I continue to believe that the new mutter is an improvement, but that the bug has not been fixed completely.

I am running $ uname -a
Linux pop-os 5.4.0-7626-generic #30~1588169883~20.04~bbe668a-Ubuntu SMP
Wed Apr 29 21:00:02 UTC x86_64 x86_64 x86_64 GNU/Linux

$ apt show mutter
Package: mutter
Version: 3.36.1-3ubuntu3

This is the default install configuration for Pop!_OS. Under this
configuration, the bug is no longer reproduceable in LibreOffice Calc,
but is consistently present in LibreOffice Writer.

I am installing --proposed updates and will reboot and retest.

On Wed, May 20, 2020 at 05:10, Adam Dingle <email address hidden> wrote:
> A brief update: I am still running with the proposed mutter package on
> Ubuntu 20.04, and hae seen this copy/paste problem occur several more
> times in the last few days. I continue to believe that the new mutter
> is an improvement, but that the bug has not been fixed completely.
>
> --
> You received this bug notification because you are subscribed to the
> bug
> report.
> <https://bugs.launchpad.net/bugs/1852183>
>
> Title:
> [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu
> 19.10 & 20.04 (see comment 93)
>
> Status in LibreOffice:
> Won't Fix
> Status in Mutter:
> Unknown
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Focal:
> Fix Committed
> Status in mutter source package in Groovy:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10.
>
> In this environment, copy/cut/paste often fails. Specifically, the
> paste command sometimes does not paste the text that was cut/copied
> most recently. Instead, it pastes text that was cut/copied at some
> prior time.
>
> [ Test case ]
>
> 1. Use use libreoffice writer/calc
> 2. Copy text around
> 3. Paste it and ensure it always work
>
> [ Regression potential ]
>
> Copy/paste won't work as expected, for non-text types
>
> -----
>
>
> I use LibreOffice Writer a lot, and I now see this problem very
> often, i.e. many times every day.
>
> There is some discussion of the problem here:
>
>
> <https://ask.libreoffice.org/en/question/213510/copypaste-issues>-
> libreoffice-calc/
>
> Several posters there say that they are also using Ubuntu 19.10.
>
> Ubuntu 19.10 includes Mutter 3.34, which has a new clipboard
> manager:
>
> <https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34>
> -Clipboard-Manager
>
> It seems like that could be related.
>
> To manage notifications about this bug go to:
> <https://bugs.launchpad.net/df-libreoffice/+bug/1852183/+subscriptions>

$ uname -a
Linux pop-os 5.4.0-7626-generic #30~1588169883~20.04~bbe668a-Ubuntu SMP Wed Apr 29 21:00:02 UTC x86_64 x86_64 x86_64 GNU/Linux

$ apt show mutter
Package: mutter
Version: 3.36.2-1ubuntu1~20.04.1

The bug is not reproducible under this configuration on my system, using default install + proposed repository.

ethanay (ethan-y-us) wrote :

Also I don't understand how the comments implying that this problem isn't being given "high enough priority" are a. valid (as in true; in my experience this bug is getting a lot of attention, and the main thing holding back the release of the fix right now is *user testing* e.g., from the people complaining?) and b. helpful to resolving the bug.

Ethany - is there something else I can do? I've installed the proposed update, retested, and so far all seems well (as I said in #159).

It's difficult to test and report on a problem which doesn't happen every time you do something. I never found a pattern to it, just when it did start to happen it was infuriating :-)

As to why more people haven't reported and retested, I don't know. Maybe Libreoffice Fresh users on ubuntu 20.04 are still quite rare?

For the moment, the only way to avoid this ennoying problem is the use of
Ubuntu with Wayland session, which has other bugs, but not this one...
<email address hidden>

Missatge de Tim Passingham <email address hidden> del dia dc., 20 de
maig 2020 a les 9:35:

> Ethany - is there something else I can do? I've installed the proposed
> update, retested, and so far all seems well (as I said in #159).
>
> It's difficult to test and report on a problem which doesn't happen
> every time you do something. I never found a pattern to it, just when
> it did start to happen it was infuriating :-)
>
> As to why more people haven't reported and retested, I don't know.
> Maybe Libreoffice Fresh users on ubuntu 20.04 are still quite rare?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1876445).
> https://bugs.launchpad.net/bugs/1852183
>
> Title:
> [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu
> 19.10 & 20.04 (see comment 93)
>
> Status in LibreOffice:
> Won't Fix
> Status in Mutter:
> Unknown
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Focal:
> Fix Committed
> Status in mutter source package in Groovy:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10.
>
> In this environment, copy/cut/paste often fails. Specifically, the
> paste command sometimes does not paste the text that was cut/copied
> most recently. Instead, it pastes text that was cut/copied at some
> prior time.
>
> [ Test case ]
>
> 1. Use use libreoffice writer/calc
> 2. Copy text around
> 3. Paste it and ensure it always work
>
> [ Regression potential ]
>
> Copy/paste won't work as expected, for non-text types
>
> -----
>
>
> I use LibreOffice Writer a lot, and I now see this problem very often,
> i.e. many times every day.
>
> There is some discussion of the problem here:
>
> https://ask.libreoffice.org/en/question/213510/copypaste-issues-
> libreoffice-calc/
>
> Several posters there say that they are also using Ubuntu 19.10.
>
> Ubuntu 19.10 includes Mutter 3.34, which has a new clipboard manager:
>
> https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34
> -Clipboard-Manager
>
> It seems like that could be related.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/df-libreoffice/+bug/1852183/+subscriptions
>

ethanay (ethan-y-us) wrote :

Tim, I don't know, I am just "another user"

But I appreciate you testing! For me, the pattern has always been quite
consistent for the first cut/copy to fail, and so is fairly easy for me to
test.

The different symptoms are curious, with it being very predictable for some
and random for others!

It is also interesting to me that the problem appears only in copying to
clipboard from some programs but not others.

Lastly, it is interesting that it was fixed first in some programs (eg for
me, LO calc) before others (LO Writer).

I don't know enough about how different sources for clipboard data interact
with the clipboard manager, but it leads me to believe there is actually
more than one clipboard bug. If so, it will take users being vigilant to
collect log and other debug info as they try to reproduce the more
intermittent symptoms, and submit in a different report.

On Wed, May 20, 2020, 00:35 Tim Passingham <email address hidden> wrote:

> Ethany - is there something else I can do? I've installed the proposed
> update, retested, and so far all seems well (as I said in #159).
>
> It's difficult to test and report on a problem which doesn't happen
> every time you do something. I never found a pattern to it, just when
> it did start to happen it was infuriating :-)
>
> As to why more people haven't reported and retested, I don't know.
> Maybe Libreoffice Fresh users on ubuntu 20.04 are still quite rare?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1852183
>
> Title:
> [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu
> 19.10 & 20.04 (see comment 93)
>
> Status in LibreOffice:
> Won't Fix
> Status in Mutter:
> Unknown
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Focal:
> Fix Committed
> Status in mutter source package in Groovy:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10.
>
> In this environment, copy/cut/paste often fails. Specifically, the
> paste command sometimes does not paste the text that was cut/copied
> most recently. Instead, it pastes text that was cut/copied at some
> prior time.
>
> [ Test case ]
>
> 1. Use use libreoffice writer/calc
> 2. Copy text around
> 3. Paste it and ensure it always work
>
> [ Regression potential ]
>
> Copy/paste won't work as expected, for non-text types
>
> -----
>
>
> I use LibreOffice Writer a lot, and I now see this problem very often,
> i.e. many times every day.
>
> There is some discussion of the problem here:
>
> https://ask.libreoffice.org/en/question/213510/copypaste-issues-
> libreoffice-calc/
>
> Several posters there say that they are also using Ubuntu 19.10.
>
> Ubuntu 19.10 includes Mutter 3.34, which has a new clipboard manager:
>
> https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34
> -Clipboard-Manager
>
> It seems like that could be related.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/df-libreoffice/+bug/1852183/+subscriptions
>

This bug was fixed in the package mutter - 3.36.2-1ubuntu1~20.04.1

---------------
mutter (3.36.2-1ubuntu1~20.04.1) focal; urgency=medium

  * Backport to focal (LP: #1877209)
  * debian/gbp.conf: Set branch to ubuntu/focal
  * debian/control: Update VCS references to focal branch
  * debian/rules: Revert groovy/debian build changes as per dh 13

mutter (3.36.2-1ubuntu1) groovy; urgency=medium

  * Merge with debian, including new upstream release:
    - Fix super key not working with secondary layout (LP: #1871913)
  * xrandr-scaling: Fix compiler warnings (LP: #1874207)
  * xrandr-scaling: Take care of global UI scale when restoring from config
    (LP: #1825593)
  * Remaining changes with debian:
    - debian/control:
      + Update VCS flags to point to ubuntu salsa branch
    - debian/gbp.conf: update branch to point to ubuntu/master
    - debian/patches/x11-Add-support-for-fractional-scaling-using-Randr.patch:
      + X11: Add support for fractional scaling using Randr

mutter (3.36.2-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream stable release
    - Fix FTBFS with Wayland disabled (non-Linux kernels)
    - X11 copy/paste/selection fixes (LP: #1852183)
    - Fix freeze with some DisplayLink devices
    - Fix a memory leak
    - Synchronize shadows to server-side decorations
    - Fix overview key on X11 when using multiple keyboard layouts
    - Fix painting the redraw clip with the damage region
    - Fix capturing with multiple stage views
    - Fix screencasting of non-maximized windows (LP: #1873942)
    - Various misc fixes and cleanups (LP: #1874818)
    - Update translation: de

  [ Marco Trevisan (Treviño) ]
  * debian/libmutter-6-0.symbols: Update
  * debian/rules: Ignore build failures on riscv64

mutter (3.36.1+git20200419-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream snapshot from gnome-3-36 branch (3.36.1-42-gda9eb4718)
    - Fix trackball button scrolling
    - Fix tiled (MST) displays
    - Copy/paste fixes, particularly for large images and incremental
      transfers
    - Fall back to closed laptop lid configuration if no other available
      (LP: #1793496)

  [ Jeremy Bicha ]
  * Drop obsolete dh_strip dbgsym migration rule
  * Bump debhelper-compat to 13
    - dh_missing --fail-missing is the default
    - dh_auto_test has several default improvements
    - dh_autoreconf isn't needed with meson
  * debian/watch: Only watch for stable releases

mutter (3.36.1-4) unstable; urgency=medium

  * Team upload
  * Merge changelog from unstable
  * Upload to unstable (starts transition: #954422)
  * Update to upstream gnome-3-36 branch, commit 3.36.1-17-g9a2471db4
    - Fix caps-lock state becoming confused on VT switch
  * d/gbp.conf: Follow upstream/3.36.x branch

 -- Marco Trevisan (Treviño) <email address hidden> Thu, 07 May 2020 03:22:16 +0200

Changed in mutter (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for mutter has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Pretty curious why this bug isn't mentioned on https://wiki.ubuntu.com/FocalFossa/ReleaseNotes#Desktop ?
Since this is a real show stopper for anyone using Ubuntu Desktop seriously AND the issue was reported months before the release of 20.04, it should at the very least have been clearly communicated via i.e. the release notes mentioned above.

Where can I file bugs so the process is improved an users will never (unknowingly) run into issues such as these again?

9 comments hidden view all 191 comments

(In reply to Eike Rathke from comment #29)
> (In reply to larrybradley from comment #25)
> > Interesting attitude. If you buy a Toyota and the engine goes bad, do you
> > expect Toyota to say, "Sorry, not our problem, they sold us bad engines."
> Interesting approach. I hate car allegories, but the broken part is not even
> part of the car. So if the bridge you want to ride over is broken you go to
> the car manufacturer and tell him to make your car fly.
>
> > Your name is on the product. The product is broken.
> No, the clipboard manager clipboard manager of the compositor of your window manager of your
> operating system is broken. That's why there is the Mutter bug linked and
> this bug here is flagged as notourbug.
>
> Additional findings from the linked Mutter bug are that the problem seems to
> be (also) related to the Clipboard Indicator GNOME Shell Extension, see
> already comment 7 here, so you may want to remove that.

I may be nave or ignorant, you guess, but 20some programs running on Gnome daily work just fine. so my guess is that they programmed their applications for Gnome and it works. Why LO be an exception?.

8 comments hidden view all 191 comments
Adam Dingle (adam-yorba) wrote :

It's nice to see that the mutter fix has landed in focal-updates.

Above, Daniel wrote "Let's try to release this fix and then the first person still having problems after it's released can open a new bug." OK - I am that person. I have the new Mutter package, and I can still easily reproduce the problem. I just opened two LibreOffice Writer windows side by side and tried repeatedly copying in the left window and pasting in the right window, and occasionally the paste visibly fails to paste the text I just copied.

So I have opened a new bug, namely bug #1879968. If other people experience copy/paste trouble even after they receive the mutter fix, just like I have, then that bug is the right place for further discussion.

Pablo San Martín (san-wablo) wrote :

Thanks! This fixed it for me! Glad to be able to use Clipboard Indicator and LibreOffice at the same time again"

8 comments hidden view all 191 comments

Carlos, there is no reason to reply you.
You seem to be ignorant to read ubuntu bug report and test fix in 20.04.

I certainly ignore many things. Thank you.

8 comments hidden view all 191 comments
Adrian Jones (adrianjones506) wrote :

This is still happening despite the Ubuntu 20.04LTS installation being fully patched using Liveupdate as at 25 May 2020.

In LibreOffice I have to hit Cntrl C repeatedly (more than 2 times or click the copy icon sometimes 9 times or more to get some data.... and this is just staying within Office so office related only.

In the desktop other attempts to copy also to other applications and WINE applications still results in failures.
The fix therefore has not worked. If mutter was changed and has rendered the computer useless (I regard it as such right now as it is highly unreliable and induces errors) then it should be removed until the module has been fixed and tested. DO NOT get the users to fix the problem.. that is why users have been driven away from Microsoft.

Adrian Jones (adrianjones506) wrote :

Incidentally this bug has been happening and someone suggested updating Mutter to the latest version.

I had to install mutter to then update it to try and fix it .. so now there are bugs due to software that was never installed in the first place !!!

Happens to me as well on FF 20.04 using Word 2010, both on X11 and Wayland. If I switch back to Unity the bug is gone

I wonder if there are residual components of the problem that go away when
you upgrade against or do a fresh install? I never tested 3.36.2 against my
original 19.10 install, I just went to 20.04 when the fix was released.

So, for example, maybe if I had installed 3.36.2 while running my original
19.10 install and config, I would be seeing problems still. Just a thought!

On Wed, May 27, 2020, 03:15 Luca <email address hidden> wrote:

> Happens to me as well on FF 20.04 using Word 2010, both on X11 and
> Wayland. If I switch back to Unity the bug is gone
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1852183
>
> Title:
> [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu
> 19.10 & 20.04 (see comment 93)
>
> Status in LibreOffice:
> Won't Fix
> Status in Mutter:
> Unknown
> Status in mutter package in Ubuntu:
> Fix Released
> Status in mutter source package in Focal:
> Fix Released
> Status in mutter source package in Groovy:
> Fix Released
>
> Bug description:
> [ Impact ]
>
> I'm running LibreOffice 6.3.2.2 on Ubuntu 19.10.
>
> In this environment, copy/cut/paste often fails. Specifically, the
> paste command sometimes does not paste the text that was cut/copied
> most recently. Instead, it pastes text that was cut/copied at some
> prior time.
>
> [ Test case ]
>
> 1. Use use libreoffice writer/calc
> 2. Copy text around
> 3. Paste it and ensure it always work
>
> [ Regression potential ]
>
> Copy/paste won't work as expected, for non-text types
>
> -----
>
>
> I use LibreOffice Writer a lot, and I now see this problem very often,
> i.e. many times every day.
>
> There is some discussion of the problem here:
>
> https://ask.libreoffice.org/en/question/213510/copypaste-issues-
> libreoffice-calc/
>
> Several posters there say that they are also using Ubuntu 19.10.
>
> Ubuntu 19.10 includes Mutter 3.34, which has a new clipboard manager:
>
> https://www.phoronix.com/scan.php?page=news_item&px=GNOME-3.34
> -Clipboard-Manager
>
> It seems like that could be related.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/df-libreoffice/+bug/1852183/+subscriptions
>

Hello,

I'm on 20.04 using mutter version 3.36.2-1ubuntu1~20.04.1. I see that this bug is marked as fixed, but I am still experiencing this issue.

Davide (tarski10) on 2020-05-27
summary: [X11] copy/paste (clipboard) with LibreOffice is broken in Ubuntu 19.10
- & 20.04 (see comment 93)
+ & 20.04 (see comment 93 and 176)
Xand Meaden (xandm) wrote :

I'm using 20.04 and also experience this issue pasting between applications including Gnome Terminal and Atom (Snap package). I initially thought the mutter upgrade had resolved the issue but it "feels like" this problem gets worse over time.

Adam Dingle (adam-yorba) wrote :

For anyone who is still experiencing this issue after the mutter upgrade, the right place to comment or discuss on Launchpad is the followup bug #1879968, not here. You may also wish to discuss the problem at the corresponding upstream GNOME bug https://gitlab.gnome.org/GNOME/mutter/issues/1268 .

3 comments hidden view all 191 comments

*** Bug 134517 has been marked as a duplicate of this bug. ***

erio (eri0) wrote :

The cause has been found here: https://gitlab.gnome.org/GNOME/mutter/-/issues/1338 but no solution has been created yet.

erio (eri0) wrote :

Finally, it's fixed here: https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/1369

Will probably take some time to reach Ubuntu 20.04.

Daniel van Vugt (vanvugt) wrote :

Please use bug 1879968 now.

ScareCrow (layalhasan) on 2021-02-16
affects: mutter (Ubuntu Focal) → focal (Ubuntu Focal)
Displaying first 40 and last 40 comments. View all 191 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers